OpenSubdiv: GLSLPatchShaderSource Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
GLSLPatchShaderSource Class Reference

Provides shader source which can be used by client code. More...

`#include <glslPatchShaderSource.h>`

## Static Public Member Functions
static std::string | GetPatchBasisShaderSource ()
| Returns shader source which can be used to evaluate position and first and second derivatives on piecewise parametric patches resulting from subdivision refinement.
static std::string | GetPatchDrawingShaderSource ()
| Returns shader source which can be used while drawing piecewise parametric patches resulting from subdivision refinement, e.g. while using GPU HW tessellation.
Alternative methods
These methods return shader source which can be used while drawing. Unlike the methods above, the source returned by these methods includes support for legacy patch types along with dependencies on specific resource bindings and interstage shader variable declarations.
static std::string | GetCommonShaderSource ()
static std::string | GetVertexShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetTessControlShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetTessEvalShaderSource (Far::PatchDescriptor::Type type)

## Detailed Description

Provides shader source which can be used by client code.

Definition at line 40 of file glslPatchShaderSource.h.

## Member Function Documentation

## ◆ GetCommonShaderSource()

static std::string GetCommonShaderSource | ( |  | ) |
| static

## ◆ GetPatchBasisShaderSource()

static std::string GetPatchBasisShaderSource | ( |  | ) |
| static

Returns shader source which can be used to evaluate position and first and second derivatives on piecewise parametric patches resulting from subdivision refinement.

## ◆ GetPatchDrawingShaderSource()

static std::string GetPatchDrawingShaderSource | ( |  | ) |
| static

Returns shader source which can be used while drawing piecewise parametric patches resulting from subdivision refinement, e.g. while using GPU HW tessellation.

## ◆ GetTessControlShaderSource()

static std::string GetTessControlShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## ◆ GetTessEvalShaderSource()

static std::string GetTessEvalShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## ◆ GetVertexShaderSource()

static std::string GetVertexShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

The documentation for this class was generated from the following file:

- opensubdiv/osd/glslPatchShaderSource.h